<?php load_template(TEMPLATEPATH . '/header.php', false); ?>

<?php
function GetNextPostsButton()
{
	global $paged, $wp_query;
	$maxPage = $wp_query->max_num_pages;
	if (!$paged)
	{
		$paged = 1;
	}
	if (!is_single() && (intval($paged)+1 <= $maxPage))
	{
		return '<a href="' . next_posts($maxPage, false) .
			"\" data-inline=\"true\" data-role=\"button\" data-icon=\"arrow-l\">" .
			"Previous</a>";
	}
	return '';
}
function GetPreviousPostsLink()
{
	global $paged;
	if (!is_single() && $paged > 1)
	{
		return '<a href="' . previous_posts(false) .
			"\" data-inline=\"true\" data-role=\"button\" data-icon=\"arrow-r\" " .
			"data-iconpos=\"right\">Next</a>";
	}
}
?>

<div data-role="page" data-theme="a">
	<div data-role="header">
		<h1>Dark Millennium Codex</h1>
	</div>
	<div data-role="content">
		<h4>
		<?php
		if (is_tag())
		{
			echo 'Tag: ', single_cat_title('', FALSE);
		}
		elseif (is_category())
		{
			echo 'Category: ', single_cat_title('', FALSE);
		}
		else
		{
			echo 'Latest News';
		}
		?>
		</h4>

		<ul data-role="listview">
			<?php
			if (have_posts()) : while (have_posts()) : the_post();
			?>
			<li>
				<a href="<?php echo get_permalink();?>">
					<?php echo get_the_title(), ' - ', get_the_time('m.d.Y') ?>
				</a>
			</li>
			<?php
			endwhile;
			endif;
			?>
		</ul>

		<div style="margin-top: 24px">
			<?php echo GetNextPostsButton();?>
			<?php echo GetPreviousPostsLink();?>
		</div>

	</div>

	<div data-role="footer">
		<?php load_template(TEMPLATEPATH . '/footer.php', false); ?>
	</div>
</div>

</body>
</html>